﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ProjetFinalMAT4812
{
    public partial class FormMaya : Form
    {
        int m_nb;   // Nombre à convertir et afficher.

        public FormMaya(int p_nb)
        {
            InitializeComponent();
            m_nb = p_nb;
            Affichage();

        }
        
        void Affichage()
        {
            int cpt = 0;        // Compteur de tours de boucle.

            while (cpt != 3)    // On veut faire exactement 3 tours pour afficher les 3 images.
            {
                PictureBox picture = null;     // Pour choisir la bonne boite à image.

                switch (cpt)
                {
                    case 0: picture = pictureBox1; break;
                    case 1: picture = pictureBox2; break;
                    case 2: picture = pictureBox3; break;
                }
                
                int reste = m_nb % 20;

                switch (reste)
                {
                    case  0: picture.Image = new Bitmap("../maya/0.gif"); break;
                    case  1: picture.Image = new Bitmap("../maya/1.gif"); break;
                    case  2: picture.Image = new Bitmap("../maya/2.gif"); break;
                    case  3: picture.Image = new Bitmap("../maya/3.gif"); break;
                    case  4: picture.Image = new Bitmap("../maya/4.gif"); break;
                    case  5: picture.Image = new Bitmap("../maya/5.gif"); break;
                    case  6: picture.Image = new Bitmap("../maya/6.gif"); break;
                    case  7: picture.Image = new Bitmap("../maya/7.gif"); break;
                    case  8: picture.Image = new Bitmap("../maya/8.gif"); break;
                    case  9: picture.Image = new Bitmap("../maya/9.gif"); break;
                    case 10: picture.Image = new Bitmap("../maya/10.gif"); break;
                    case 11: picture.Image = new Bitmap("../maya/11.gif"); break;
                    case 12: picture.Image = new Bitmap("../maya/12.gif"); break;
                    case 13: picture.Image = new Bitmap("../maya/13.gif"); break;
                    case 14: picture.Image = new Bitmap("../maya/14.gif"); break;
                    case 15: picture.Image = new Bitmap("../maya/15.gif"); break;
                    case 16: picture.Image = new Bitmap("../maya/16.gif"); break;
                    case 17: picture.Image = new Bitmap("../maya/17.gif"); break;
                    case 18: picture.Image = new Bitmap("../maya/18.gif"); break;
                    case 19: picture.Image = new Bitmap("../maya/19.gif"); break;
                }

                m_nb /= 20;
                ++cpt;
            }
        }

        // On permet de fermer la fenêtre en appuyant sur la touche "Enter".
        private void FormMaya_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                this.Close();
                e.Handled = true;
            }
        }
    }
}
